> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dmarceye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Domain

> Verify DNS settings for given domain



## OpenAPI

````yaml POST /domains/{domain}/verify
openapi: 3.1.0
info:
  title: OpenAPI Dmarceye
  description: API for accessing DMARCeye data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.dmarceye.com/api
security:
  - bearerAuth: []
paths:
  /domains/{domain}/verify:
    post:
      description: Verify DNS settings for given domain
      parameters:
        - name: domain
          in: path
          description: domain to verify
          required: true
          schema:
            type: string
            format: domain
      responses:
        '200':
          description: domain response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExistingDomain'
        '401':
          description: Unauthorized — missing or invalid API token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden — the resolved team is not in the API whitelist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Domain not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyError'
components:
  schemas:
    ExistingDomain:
      allOf:
        - $ref: '#/components/schemas/Domain'
        - type: object
          properties:
            active:
              description: Indication of active domain
              type: boolean
              format: boolean
              example: true
              readOnly: true
            dmarc_record:
              description: Current DMARC record of the domain
              type: string
              format: string
              example: v=DMARC1; p=reject; rua=mailto:foo@bar.baz;
              readOnly: true
            dmarc_policy:
              description: Current DMARC policy
              type: string
              format: string
              example: reject
              readOnly: true
            domain_usage_purpose:
              description: Declared usage purpose of the domain (may be null)
              type:
                - string
                - 'null'
              enum:
                - business
                - personal
                - education
                - nonprofit
                - null
              example: business
              readOnly: true
            created_at:
              description: Created at timestamp (RFC3339)
              type: string
              format: date-time
              example: '2024-06-10T19:55:26+00:00'
              readOnly: true
            updated_at:
              description: Updated at timestamp (RFC3339)
              type: string
              format: date-time
              example: '2024-06-10T19:55:26+00:00'
              readOnly: true
    Error:
      required:
        - message
      type: object
      properties:
        message:
          description: Human-readable error message
          type: string
          example: Unauthorized
    VerifyError:
      required:
        - error
        - code
      type: object
      properties:
        error:
          description: Human-readable error message
          type: string
          example: Domain not found
        code:
          description: Machine-readable error code
          type: string
          example: domain_not_found
    Domain:
      required:
        - domain
      type: object
      properties:
        domain:
          description: Domain name
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````